<?php
// Oturumu başlat
session_start();

require __DIR__ . '/../app/config.php';

// Oturum süresi (saniye cinsinden) - Örneğin, 24 saat
$sessionTimeout = 86400; // 24 saat = 60 saniye * 60 dakika * 24 saat

// Oturum süresini yeniden ayarla
if (isset($_SESSION['last_activity']) && (time() - $_SESSION['last_activity']) > $sessionTimeout) {
    // Oturum süresi dolduğunda oturumu sonlandır
    session_unset();
    session_destroy();
    header("Location: index.php");
    exit;
}

// Oturum süresini güncelle
$_SESSION['last_activity'] = time();

if ($_SESSION['adminlogin'] == true) {
    // Oturum süresi dolmadan işlem yapabilirsiniz.
} else {
    // Kullanıcı oturum açmamışsa veya oturumu sonlandırıldıysa, index.php'ye yönlendirin.
    header("Location: index.php");
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Corona Admin</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="assets/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="assets/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <!-- End Plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
    <style>
         img{
             width: 100px
         }
           .büyük-resim {
    transition: transform 0.3s ease;
  }

  .büyük-resim:hover {
    transform: scale(3.2);
  }
    </style>
  </head>
  <body>
    <div class="container-scroller">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <div class="sidebar-brand-wrapper d-none d-lg-flex align-items-center justify-content-center fixed-top">
          <a class="sidebar-brand brand-logo" href=""><img src="assets/images/logo.svg" alt="logo" /></a>
          <a class="sidebar-brand brand-logo-mini" href="dashboard"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
        </div>
        <ul class="nav">
          <li class="nav-item profile">
            <div class="profile-desc">
              <div class="profile-pic">
                <div class="count-indicator">
                  <img class="img-xs rounded-circle " src="assets/images/faces/face15.jpg" alt="">
                  <span class="count bg-success"></span>
                </div>
                <div class="profile-name">
                  <h5 class="mb-0 font-weight-normal">Henry Klein</h5>
                  <span>Gold Member</span>
                </div>
              </div>
              <a href="#" id="profile-dropdown" data-toggle="dropdown"><i class="mdi mdi-dots-vertical"></i></a>
              <div class="dropdown-menu dropdown-menu-right sidebar-dropdown preview-list" aria-labelledby="profile-dropdown">
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-settings text-primary"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Account settings</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-onepassword  text-info"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Change Password</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-calendar-today text-success"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">To-do list</p>
                  </div>
                </a>
              </div>
            </div>
          </li>
          <li class="nav-item nav-category">
            <span class="nav-link">Navigation</span>
          </li>
         <?php require 'sidebar.php'; ?>
        </ul>
      </nav>
      <!-- partial -->
      <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_navbar.html -->
        <nav class="navbar p-0 fixed-top d-flex flex-row">
          <div class="navbar-brand-wrapper d-flex d-lg-none align-items-center justify-content-center">
            <a class="navbar-brand brand-logo-mini" href="index.html"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
          </div>
          <div class="navbar-menu-wrapper flex-grow d-flex align-items-stretch">
            <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
              <span class="mdi mdi-menu"></span>
            </button>
            <ul class="navbar-nav w-100">
              <li class="nav-item w-100">
                <form class="nav-link mt-2 mt-md-0 d-none d-lg-flex search">
                  <input type="text" class="form-control" placeholder="Search products">
                </form>
              </li>
            </ul>
            <ul class="navbar-nav navbar-nav-right">
              <li class="nav-item dropdown d-none d-lg-block">
                <a class="nav-link btn btn-success create-new-button" id="createbuttonDropdown" data-toggle="dropdown" aria-expanded="false" href="#">+ Create New Project</a>
                <div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="createbuttonDropdown">
                  <h6 class="p-3 mb-0">Projects</h6>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-file-outline text-primary"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject ellipsis mb-1">Software Development</p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-web text-info"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject ellipsis mb-1">UI Development</p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-layers text-danger"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject ellipsis mb-1">Software Testing</p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <p class="p-3 mb-0 text-center">See all projects</p>
                </div>
              </li>
              <li class="nav-item nav-settings d-none d-lg-block">
                <a class="nav-link" href="#">
                  <i class="mdi mdi-view-grid"></i>
                </a>
              </li>
              <li class="nav-item dropdown border-left">
                <a class="nav-link count-indicator dropdown-toggle" id="messageDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
                  <i class="mdi mdi-email"></i>
                  <span class="count bg-success"></span>
                </a>
                <div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="messageDropdown">
                  <h6 class="p-3 mb-0">Messages</h6>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <img src="assets/images/faces/face4.jpg" alt="image" class="rounded-circle profile-pic">
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject ellipsis mb-1">Mark send you a message</p>
                      <p class="text-muted mb-0"> 1 Minutes ago </p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <img src="assets/images/faces/face2.jpg" alt="image" class="rounded-circle profile-pic">
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject ellipsis mb-1">Cregh send you a message</p>
                      <p class="text-muted mb-0"> 15 Minutes ago </p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <img src="assets/images/faces/face3.jpg" alt="image" class="rounded-circle profile-pic">
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject ellipsis mb-1">Profile picture updated</p>
                      <p class="text-muted mb-0"> 18 Minutes ago </p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <p class="p-3 mb-0 text-center">4 new messages</p>
                </div>
              </li>
              <li class="nav-item dropdown border-left">
                <a class="nav-link count-indicator dropdown-toggle" id="notificationDropdown" href="#" data-toggle="dropdown">
                  <i class="mdi mdi-bell"></i>
                  <span class="count bg-danger"></span>
                </a>
                <div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="notificationDropdown">
                  <h6 class="p-3 mb-0">Notifications</h6>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-calendar text-success"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject mb-1">Event today</p>
                      <p class="text-muted ellipsis mb-0"> Just a reminder that you have an event today </p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-settings text-danger"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject mb-1">Settings</p>
                      <p class="text-muted ellipsis mb-0"> Update dashboard </p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-link-variant text-warning"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject mb-1">Launch Admin</p>
                      <p class="text-muted ellipsis mb-0"> New admin wow! </p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <p class="p-3 mb-0 text-center">See all notifications</p>
                </div>
              </li>
              <li class="nav-item dropdown">
                <a class="nav-link" id="profileDropdown" href="#" data-toggle="dropdown">
                  <div class="navbar-profile">
                    <img class="img-xs rounded-circle" src="assets/images/faces/face15.jpg" alt="">
                    <p class="mb-0 d-none d-sm-block navbar-profile-name">Henry Klein</p>
                    <i class="mdi mdi-menu-down d-none d-sm-block"></i>
                  </div>
                </a>
                <div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="profileDropdown">
                  <h6 class="p-3 mb-0">Profile</h6>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-settings text-success"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject mb-1">Settings</p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item preview-item">
                    <div class="preview-thumbnail">
                      <div class="preview-icon bg-dark rounded-circle">
                        <i class="mdi mdi-logout text-danger"></i>
                      </div>
                    </div>
                    <div class="preview-item-content">
                      <p class="preview-subject mb-1">Log out</p>
                    </div>
                  </a>
                  <div class="dropdown-divider"></div>
                  <p class="p-3 mb-0 text-center">Advanced settings</p>
                </div>
              </li>
            </ul>
            <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
              <span class="mdi mdi-format-line-spacing"></span>
            </button>
          </div>
        </nav>
        <!-- partial -->
        <div class="main-panel">
          <div class="row ">
              <div class="col-12 grid-margin">
                <div class="card">
                  <div class="card-body">
                    <h4 class="card-title">Order Status</h4>
                    <div class="table-responsive">
                      <table class="table table-hover">
                        <thead>
                          <tr>
                           <th>id</th>
             
<th scope="col">Kullanici adi</th>
<th scope="col">Miktar</th>
<th scope="col">Cüzdan</th>
<th scope="col">Kayitli Ag</th>
<th scope="col">Tarih</th>
<th scope="col">Finans</th>
<th scope="col">Onayla</th>
<th scope="col">Reddet</th>
<th scope="col">islem</th>
                          </tr>
                        </thead>
                        <tbody>
                           <?php  

$getdb = $spexcon->query("SELECT * FROM withdraw WHERE status='onay' ORDER BY id DESC");

foreach ($getdb as $key) {
    $id = $key['id'];
    $user = $key['user'];
    $amount = $key['amount'];
    $type = $key['type'];
    $status = $key['status'];
    $tarih = $key['tarih'];

    $asdas = $spexcon->query("SELECT * FROM users WHERE user='".$user."'");

    foreach ($asdas as $dg) {
        $bank_name = $dg['bank_name'];
        $bank_iban = $dg['bank_iban'];
    }

    echo "<tr>
        <td>$id</td>
        <td>$user</td>
        <td>$amount</td>
        <td>$type</td>
        <td>$bank_name</td>
        <td>$tarih</td>
        <td>
            <button class='green-button' onclick=\"showFinansPopup('$user')\">Geçmişi</button>
            <div id='finans-popup-$user' style='display: none;'>
                <h2>$user Kullanıcısının Ödeme Geçmişi</h2>
                <table>
                    <thead>
                        <tr>
                           
                            <th>Yatırım</th>
                            <th>Durum</th>
                        </tr>
                    </thead>
                    <tbody>";

    // Kullanıcının ödeme geçmişini al
    $getPayments = $spexcon->query("SELECT * FROM payments WHERE user='$user'");

    foreach ($getPayments as $payment) {
        $paymentId = $payment['id'];
        $paymentAmount = $payment['pay'];
        $paymentStatus = $payment['status'];

        echo "<tr>
               
                <td>$paymentAmount</td>
                <td>$paymentStatus</td>
              </tr>";
    }

    echo "</tbody>
                </table>
            </div>
        </td>
        
        <td>
            <form method='POST'>
                <input type='hidden' name='id' value='$id'>
                <input type='submit' class='btn btn-success btn-fw' name='onay' value='Onayla'>
            </form>
        </td>
        <td>
            <form method='POST'>
                <input type='hidden' name='id' value='$id'>
                <input type='hidden' name='amount' value='$amount'>
                <input type='hidden' name='user' value='$user'>
                <input type='submit' class='btn btn-danger btn-fw' name='red' value='Reddet'>
            </form>
        </td>
        <td>
            <form method='POST'>
                <input type='hidden' name='id' value='$id'>
                <input type='submit' class='btn btn-warning btn-fw' name='islem' value='İşlem'>
            </form>
        </td>
    </tr>";
}


                    if ($_POST['onay']) {
                        $id = htmlspecialchars($_POST['id']);
                        $del = $spexcon->query("UPDATE withdraw set `status`='onay' WHERE id='".$id."'");
                        if ($del) {
                            echo "<script>alert('Onaylandı');</script>";
                            header("Location:ceks.php");
                        }
                    }

                    if ($_POST['red']) {
                        $id = htmlspecialchars($_POST['id']);
                        $amount = htmlspecialchars($_POST['amount']);
                        $user = htmlspecialchars($_POST['user']);
                        
                        $update = $spexcon->query("UPDATE users SET `balance`=balance+'".$amount."' WHERE user='".$user."'");
                        $del = $spexcon->query("UPDATE withdraw set `status`='red' WHERE id='".$id."'");
                        if ($del) {
                            header("Location:ceks.php");
                            echo "<script>alert('Reddedildi');</script>";
                        }
                    }

                    if ($_POST['islem']) {
                        $user = htmlspecialchars($_POST['user']);
                        $del = $spexcon->query("UPDATE withdraw set `status`='islem' WHERE id='".$user."'");
                        if ($del) {
                            header("Location:ceks.php");
                        }
                    }
?>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div> <div class="col-12 grid-margin">
                <div class="card">
                  <div class="card-body">
            <div id="finans-popup" style="display: grid;text-align: center;width: 80%;margin: 0 auto;background: rgba(255,255,255,0.2);padding: 6px;border: 2px solid #fff;border-radius: 15px;background-clip: padding-box;text-align: center;max-width: 100%;text-align: -webkit-center;">
    <table>
        <thead>
            <tr>
                
                <th>Kullanıcı</th>
                <th>Yatırım</th>
                <th>Durum</th>
            </tr>
        </thead>
        <tbody id="finans-gecmisi"></tbody>
    </table>
</div>
<!-- Kullanıcı finans geçmişi popup -->
<div id="ref-popup" style="display: none;
    text-align: center;">
    <h2>Yatırım Geçmişi</h2>
    <table>
        <thead>
            <tr>
                
                <th>Kullanıcı</th>
                <th>Yatırım</th>
                <th>Durum</th>
            </tr>
        </thead>
        <tbody id="ref"></tbody>
    </table>
</div>
          <!-- content-wrapper ends -->
          <!-- partial:partials/_footer.html -->
         
          <!-- partial -->
        </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
    <!-- plugins:js -->
    <script src="assets/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
<script>
// Finans butonuna tıklanınca popup açılışı
function showFinansPopup(userId) {
    // AJAX isteği göndererek kullanıcının finans geçmişini al
    var xhr = new XMLHttpRequest();
    xhr.onreadystatechange = function() {
        if (xhr.readyState === 4 && xhr.status === 200) {
            var payments = JSON.parse(xhr.responseText);
            var tableBody = document.getElementById("finans-gecmisi");
            tableBody.innerHTML = ""; // Önceki içeriği temizle

            // Finans geçmişini popup içinde tablo olarak göster
            payments.forEach(function(payment) {
                var row = document.createElement("tr");
                
                var userCell = document.createElement("td");
                userCell.textContent = payment.user;
                row.appendChild(userCell);
                var payCell = document.createElement("td");
                payCell.textContent = payment.pay;
                row.appendChild(payCell);
                var statusCell = document.createElement("td");
                statusCell.textContent = payment.status;
                row.appendChild(statusCell);
                tableBody.appendChild(row);
            });

            // Popup'ı görünür hale getir
            document.getElementById("finans-popup").style.display = "block";
        }
    };
    xhr.open("GET", "get_user_payments.php?userId=" + userId, true); // Kullanıcının ödemelerini getiren bir PHP dosyasına yönlendirme
    xhr.send();
}
</script>
    <!-- inject:js -->
    <script src="assets/js/off-canvas.js"></script>
    <script src="assets/js/hoverable-collapse.js"></script>
    <script src="assets/js/misc.js"></script>
    <script src="assets/js/settings.js"></script>
    <script src="assets/js/todolist.js"></script>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <!-- End custom js for this page -->
  </body>
</html>