<?php
// Oturumu başlat
session_start();

require __DIR__ . '/../app/config.php';

// Oturum süresi (saniye cinsinden) - Örneğin, 24 saat
$sessionTimeout = 86400; // 24 saat = 60 saniye * 60 dakika * 24 saat

// Oturum süresini yeniden ayarla
if (isset($_SESSION['last_activity']) && (time() - $_SESSION['last_activity']) > $sessionTimeout) {
    // Oturum süresi dolduğunda oturumu sonlandır
    session_unset();
    session_destroy();
    header("Location: index.php");
    exit;
}

// Oturum süresini güncelle
$_SESSION['last_activity'] = time();

if ($_SESSION['adminlogin'] == true) {
    // Oturum süresi dolmadan işlem yapabilirsiniz.
} else {
    // Kullanıcı oturum açmamışsa veya oturumu sonlandırıldıysa, index.php'ye yönlendirin.
    header("Location: index.php");
    exit;
}
?>




<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Corona Admin</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="assets/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="assets/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <link rel="stylesheet" href="assets/vendors/jvectormap/jquery-jvectormap.css">
    <link rel="stylesheet" href="assets/vendors/flag-icon-css/css/flag-icon.min.css">
    <link rel="stylesheet" href="assets/vendors/owl-carousel-2/owl.carousel.min.css">
    <link rel="stylesheet" href="assets/vendors/owl-carousel-2/owl.theme.default.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
    <style>
        .pagination-container{
            text-align: center;
        }
        .card .card-body {
    padding: 0;
}
      .row {
    display: flex;
    flex-wrap: wrap;
    margin-right: 0;
    margin-left: 0;
}
.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .lightGallery .image-tile, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12, .col, .col-auto, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm, .col-sm-auto, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-md, .col-md-auto, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg, .col-lg-auto, .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl, .col-xl-auto {
    position: relative;
    width: 100%;
    padding-right: 0;
    padding-left: 0;
}
.btn-green{
   
    background-color: #28a745;
    border: none;
}
}
    </style>
  </head>
  <body>
    <div class="container-scroller">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <div class="sidebar-brand-wrapper d-none d-lg-flex align-items-center justify-content-center fixed-top">
          <a class="sidebar-brand brand-logo" href="dashboard"><img src="assets/images/logo.svg" alt="logo" /></a>
          <a class="sidebar-brand brand-logo-mini" href="dashboard"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
        </div>
        <ul class="nav">
         
          <li class="nav-item nav-category">
            <span class="nav-link">Navigation</span>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="dashboard">
              <span class="menu-icon">
                <i class="mdi mdi-view-dashboard"></i>
              </span>
              <span class="menu-title">Dashboard</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="paketler">
              <span class="menu-icon">
                <i class="mdi mdi-apps"></i>
              </span>
              <span class="menu-title">Paketler</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
              <span class="menu-icon">
                <i class="mdi mdi-laptop"></i>
              </span>
              <span class="menu-title">Yatırımlar</span>
              <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
              <ul class="nav flex-column sub-menu">
                <li class="nav-item"> <a class="nav-link" href="deposit">Bekleyen</a></li>
                <li class="nav-item"> <a class="nav-link" href="onayliyatirimlar">Onaylanan</a></li>
                <li class="nav-item"> <a class="nav-link" href="redyatirimlar">Reddedilen</a></li>
              </ul>
            </div>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic1" aria-expanded="false" aria-controls="ui-basic1">
              <span class="menu-icon">
                <i class="mdi mdi-laptop"></i>
              </span>
              <span class="menu-title">Çekim Talepleri</span>
              <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic1">
              <ul class="nav flex-column sub-menu">
                <li class="nav-item"> <a class="nav-link" href="ceks">Bekleyen</a></li>
                <li class="nav-item"> <a class="nav-link" href="cekimler">Onaylanan</a></li>
                <li class="nav-item"> <a class="nav-link" href="redcek">Reddedilen</a></li>
              </ul>
            </div>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="packs">
              <span class="menu-icon">
                <i class="mdi mdi-package-variant-closed"></i>
              </span>
              <span class="menu-title">Paket Alanlar</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="user-ara">
              <span class="menu-icon">
                <i class="mdi mdi-account-search"></i>
              </span>
              <span class="menu-title">Kullanıcı Ara</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="logs">
              <span class="menu-icon">
                <i class="mdi mdi-history"></i>
              </span>
              <span class="menu-title">Logs</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="pay">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Ödeme Yöntemleri</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="hediyekodu">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Gift Kod</span>
            </a>
          </li>
            <li class="nav-item menu-items">
            <a class="nav-link" href="ipban">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">BAN</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="sett">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Ayarlar</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="rapor">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">RAPOR</span>
            </a>
          </li>
        </ul>
      </nav>
      <!-- partial -->
      <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_navbar.html -->
        <nav class="navbar p-0 fixed-top d-flex flex-row">
         
          <div class="navbar-menu-wrapper flex-grow d-flex align-items-stretch">
            <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
              <span class="mdi mdi-menu"></span>
            </button>
         <div class="row" style="
    margin-top: 15px;
">
                    <input type="text" class="form-control" placeholder="Kullanıcı adını girin" id="username-input">
                    <button class="btn btn-primary" type="button" onclick="searchByUsername()" style="
    height: 38px;
">Ara</button>
                </div>
            <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
              <span class="mdi mdi-format-line-spacing"></span>
            </button>
          </div>
        </nav>
        <!-- partial -->
        
 


    

            <div class="row">
              

              
          
               
               
             
            </div>
     
            <div class="table-responsive">
                
<br><br>
            <div class="row ">
              <div class="col-12 grid-margin">
                <div class="card">
                  <div class="card-body">
                    <h4 class="card-title">Kullanıcı İşlemleri</h4>
                    <div class="table-responsive">
                      <table class="table table-hover">
                        <thead>
                          <tr>
                            
                            <th> ID </th>
                            <th> Username </th>
                            <th> Telefon </th>
                             <th> NOT </th>
                            <th> Bakiye </th>
                            <th> Ref Kodu </th>
                            <th> Sifre </th>
                            <th> Ref Olduğu </th>
                            <th> USDT Adresi </th>
                            <th> Ağ </th>
                            <th> IP </th>
                            <th> Kullanıcı İşlemleri </th>
                          </tr>
                        </thead>
                        <tbody>
                           <?php
                        $sayfa = isset($_GET['sayfa']) ? $_GET['sayfa'] : 1;
                        $kullaniciSayisi = 30;
                        $offset = ($sayfa - 1) * $kullaniciSayisi;

                        $searchUsername = isset($_GET['username']) ? $_GET['username'] : '';
                        $searchQuery = $searchUsername ? "WHERE user LIKE '%$searchUsername%'" : '';

                        $getdb = $spexcon->query("SELECT * FROM users $searchQuery ORDER BY id DESC LIMIT $offset, $kullaniciSayisi");
                        $kullaniciSayisiDB = $spexcon->query("SELECT COUNT(*) FROM users $searchQuery")->fetch_row()[0];

                        while ($key = $getdb->fetch_assoc()) {
                            $id = $key['id'];
                            $user = $key['user'];
                            $phone = $key['phone'];
                            $not = $key['not'];
                            $balance = $key['balance'];
                            $ref_code = $key['ref_code'];
                            $pass = $key['pass'];
                            $ref_old = $key['ref_old'];
                            $bank_iban = $key['bank_iban'];
                            $bank_name = $key['bank_name'];
                            $bank_iban = $key['bank_iban'];
                            $ip = $key['ip'];

                            echo "<tr> 
                                        <td>$id</td>
                                        <td>$user</td>
                                        <td>$phone</td>
                                        <td>$not</td>
                                        <td>$balance</td>
                                        <td>$ref_code</td>
                                        <td>$pass</td>
                                        <td>$ref_old</td>
                                        <td>$bank_name</td>
                                        <td>$bank_iban</td>
                                        <td>$ip</td>
                                         <td> <a class='btn btn-primary btn-green' href='notekle.php?user=$user'>NOT EKLE</a>
                                        <td> <a class='btn btn-primary btn-fw' href='user-edit.php?user=$user'>Edit</a>
                                         </td></tr>";
                        }
                        
                        $totalUsers = $kullaniciSayisiDB;

echo "<p>Toplam kullanıcı sayısı: $totalUsers</p>";
                        ?>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="pagination-container">
                <label for="sayfa-select">Sayfa:</label>
                <select id="sayfa-select" class="form-select" onchange="location = this.value;" style="width: 62px;text-align: center;">
                    <?php
                    $sayfaSayisi = ceil($kullaniciSayisiDB / $kullaniciSayisi);
                    for ($i = 1; $i <= $sayfaSayisi; $i++) {
                        $selected = ($i == $sayfa) ? "selected" : "";
                        echo "<option value='?sayfa=$i&username=$searchUsername' $selected>$i</option>";
                    }
                    ?>
                </select>
            </div>
          <!-- content-wrapper ends -->
      
         
          <!-- partial -->
        </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
    
<script>
    function searchByUsername() {
        const username = document.getElementById('username-input').value.toLowerCase();
        const currentUrl = window.location.href;
        const url = new URL(currentUrl);
        url.searchParams.set('username', username);
        window.location.href = url.toString();
    }
</script>
    <!-- plugins:js -->
    <script src="assets/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <script src="assets/vendors/chart.js/Chart.min.js"></script>
    <script src="assets/vendors/progressbar.js/progressbar.min.js"></script>
    <script src="assets/vendors/jvectormap/jquery-jvectormap.min.js"></script>
    <script src="assets/vendors/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <script src="assets/vendors/owl-carousel-2/owl.carousel.min.js"></script>
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="assets/js/off-canvas.js"></script>
    <script src="assets/js/hoverable-collapse.js"></script>
    <script src="assets/js/misc.js"></script>
    <script src="assets/js/settings.js"></script>
    <script src="assets/js/todolist.js"></script>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <script src="assets/js/dashboard.js"></script>
    <!-- End custom js for this page -->
  </body>
</html>