<?php
// Oturumu başlat
session_start();

require __DIR__ . '/../app/config.php';

// Oturum süresi (saniye cinsinden) - Örneğin, 24 saat
$sessionTimeout = 86400; // 24 saat = 60 saniye * 60 dakika * 24 saat

// Oturum süresini yeniden ayarla
if (isset($_SESSION['last_activity']) && (time() - $_SESSION['last_activity']) > $sessionTimeout) {
    // Oturum süresi dolduğunda oturumu sonlandır
    session_unset();
    session_destroy();
    header("Location: index.php");
    exit;
}

// Oturum süresini güncelle
$_SESSION['last_activity'] = time();

if ($_SESSION['adminlogin'] == true) {
    // Oturum süresi dolmadan işlem yapabilirsiniz.
} else {
    // Kullanıcı oturum açmamışsa veya oturumu sonlandırıldıysa, index.php'ye yönlendirin.
    header("Location: index.php");
    exit;
}
?>

<!DOCTYPE html>
<html lang="zxx">
<head>

<meta charset="utf-8" />
  <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Corona Admin</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="assets/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="assets/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <!-- End Plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
    <style>
.main-panel {
    transition: width 0.25s ease, margin 0.25s ease;
    width: 100%;
    min-height: calc(100vh - 70px);
    padding-top: 0;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
}
.grid-margin {
    margin-bottom: 0;
}
    .table-responsive .btn-danger {
        background-color: #dc3545;
        border-color: #dc3545;
    }
    
    .table-responsive .btn-danger:hover {
        background-color: #c82333;
        border-color: #bd2130;
    }
</style>
<style>
  /* Genişlik ayarları */
  @media (max-width: 767px) {
    .table-responsive {
      display: block;
      width: 100%;
      overflow-x: auto;
    }
    table {
      width: 100%;
    }
  }
  
  /* Ortalama işlem */
  .container {
    margin: 0 auto;
  }
</style>
</head>
<body style="background-color:#eeecf5;" class="crm_body_bg">




<br><br>


<div class="container-scroller">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <div class="sidebar-brand-wrapper d-none d-lg-flex align-items-center justify-content-center fixed-top">
          <a class="sidebar-brand brand-logo" href=""><img src="assets/images/logo.svg" alt="logo" /></a>
          <a class="sidebar-brand brand-logo-mini" href="dashboard"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
        </div>
        <ul class="nav">
          <li class="nav-item profile">
            <div class="profile-desc">
              <div class="profile-pic">
                <div class="count-indicator">
                  <img class="img-xs rounded-circle " src="assets/images/faces/face15.jpg" alt="">
                  <span class="count bg-success"></span>
                </div>
                <div class="profile-name">
                  <h5 class="mb-0 font-weight-normal">Henry Klein</h5>
                  <span>Gold Member</span>
                </div>
              </div>
              <a href="#" id="profile-dropdown" data-toggle="dropdown"><i class="mdi mdi-dots-vertical"></i></a>
              <div class="dropdown-menu dropdown-menu-right sidebar-dropdown preview-list" aria-labelledby="profile-dropdown">
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-settings text-primary"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Account settings</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-onepassword  text-info"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Change Password</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-calendar-today text-success"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">To-do list</p>
                  </div>
                </a>
              </div>
            </div>
          </li>
          <li class="nav-item nav-category">
            <span class="nav-link">Navigation</span>
          </li>
         <?php require 'sidebar.php'; ?>
        </ul>
      </nav>
      <!-- partial -->
      <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_navbar.html -->
        <nav class="navbar p-0 fixed-top d-flex flex-row">
          <div class="navbar-brand-wrapper d-flex d-lg-none align-items-center justify-content-center">
            <a class="navbar-brand brand-logo-mini" href="index.html"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
          </div>
          <div class="navbar-menu-wrapper flex-grow d-flex align-items-stretch">
            <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
              <span class="mdi mdi-menu"></span>
            </button>
            
            <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
              <span class="mdi mdi-format-line-spacing"></span>
            </button>
          </div>
        </nav>
  
     <div class="main-panel">
          <div class="row ">
              <div class="col-12 grid-margin">
                <div class="card">
                  <div class="card-body">
                    <h4 class="card-title">TÜM PAKETLER</h4>
                    <div class="table-responsive">
        <table class="table table-striped">
          <thead>
            <tr>
              <th scope="col">ID</th>
              <th scope="col">İsim</th>
              <th scope="col">Logo</th>
              <th scope="col">Paket fiyat</th>
              <th scope="col">Saatlik Kazanç</th>
              <th scope="col">Sil</th>
            </tr>
          </thead>
          <tbody>

<?php  

if ($_POST['id']) {
    $id = htmlspecialchars($_POST['id']);
    $del = $spexcon->query("DELETE FROM pakets WHERE id='".$id."'");
    if ($del) {
        echo "<script>alert('Silindi');</script>";
        header("Refresh:1;url=paketler.php");
    }
}   

?>

<?php  

$getdb = $spexcon->query("SELECT * FROM pakets ORDER BY id DESC");

foreach ($getdb as $key) {
    
    $id=$key['id'];
    $paket_name=$key['paket_name'];
    $paket_desc=$key['paket_desc'];
    $paket_logo=$key['paket_logo'];
    $paket_balance=$key['paket_balance'];
    $paket_ska=$key['paket_ska'];
    $tarih=$key['tarih'];


    echo "<tr> <td>$id</td><td>$paket_name</td><td>$paket_logo</td><td>$paket_balance</td><td>$paket_ska</td><td><form method='POST'><input type='hidden' name='id' value='$id'><input type='submit' class='btn btn-danger' value='Sil'></form></td>  </tr>";

}


?>


</tbody>

</table>
 </div>
                  

<br>
<h3>Paket Oluştur</h3>
<br>

<?php  

if ($_POST['sub']) {
    
    $paket_name   = htmlspecialchars($_POST['paket_name']);
    $paket_logo   = htmlspecialchars($_POST['paket_logo']);
    $paket_balance  = htmlspecialchars($_POST['paket_balance']);
    $paket_ska = htmlspecialchars($_POST['paket_ska']);
    $paket_desc  = htmlspecialchars($_POST['paket_desc']);

 $azs = $spexcon->query("INSERT INTO `pakets`(`id`, `paket_name`, `paket_desc`, `paket_logo`, `paket_balance`, `paket_ska`) VALUES (NULL,'".$paket_name."','".$paket_desc."','".$paket_logo."','".$paket_balance."','".$paket_ska."')");

    if ($azs) {
        echo "<script>alert('OluÅŸturuldu');</script>";
        Header("Refresh:1;url=paketler.php");
        // code...

    }

}

?>

<form method="POST">
    
    <input type="text" class="form-control" name="paket_name" placeholder="Paket İsim" required><br>
    <input type="text" class="form-control" name="paket_logo" placeholder="Paket Logo Url" required><br>
    <input type="text" class="form-control" name="paket_balance" placeholder="Paket Fiyat" required><br>
    <input type="text" class="form-control" name="paket_ska" placeholder="Paket Kazanç" required><br>
    <input type="text" class="form-control" name="paket_desc" placeholder="Paket Dsc"><br>
    <input type="submit" class="btn btn-primary" name="sub" value="Oluştur">

</form>
</div></div></div></div>
                </div>
              </div>
            </div>
<div id="back-top" style="display: none;">
<a title="Go to Top" href="#">
<i class="ti-angle-up"></i>
</a>
</div>
  <script src="assets/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="assets/js/off-canvas.js"></script>
    <script src="assets/js/hoverable-collapse.js"></script>
    <script src="assets/js/misc.js"></script>
    <script src="assets/js/settings.js"></script>
    <script src="assets/js/todolist.js"></script>
</body>
</html>