<?php
// Oturumu başlat
session_start();

require __DIR__ . '/../app/config.php';

// Oturum süresi (saniye cinsinden) - Örneğin, 24 saat
$sessionTimeout = 86400; // 24 saat = 60 saniye * 60 dakika * 24 saat

// Oturum süresini yeniden ayarla
if (isset($_SESSION['last_activity']) && (time() - $_SESSION['last_activity']) > $sessionTimeout) {
    // Oturum süresi dolduğunda oturumu sonlandır
    session_unset();
    session_destroy();
    header("Location: index.php");
    exit;
}

// Oturum süresini güncelle
$_SESSION['last_activity'] = time();

if ($_SESSION['adminlogin'] == true) {
    // Oturum süresi dolmadan işlem yapabilirsiniz.
} else {
    // Kullanıcı oturum açmamışsa veya oturumu sonlandırıldıysa, index.php'ye yönlendirin.
    header("Location: index.php");
    exit;
}
?>




<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Corona Admin</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="assets/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="assets/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <link rel="stylesheet" href="assets/vendors/jvectormap/jquery-jvectormap.css">
    <link rel="stylesheet" href="assets/vendors/flag-icon-css/css/flag-icon.min.css">
    <link rel="stylesheet" href="assets/vendors/owl-carousel-2/owl.carousel.min.css">
    <link rel="stylesheet" href="assets/vendors/owl-carousel-2/owl.theme.default.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
    <style>


.container {
    width: 100%;
    margin: 0 auto;
    padding: 100px;
    background-color: #060d21;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    max-width: 100%;
}

h1 {
    font-size: 24px;
    color: #333;
    margin-bottom: 20px;
}

.report-box {
    display: flex;
    justify-content: space-between;
}

.box {
    flex: 1;
    background-color: #fff;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    text-align: center;
    margin: 10px;
}

.title {
    font-size: 18px;
    color: #333;
}

.data {
    font-size: 24px;
    color: #007bff;
    margin-top: 10px;
}


    </style>
  </head>
  <body>
    <div class="container-scroller">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <div class="sidebar-brand-wrapper d-none d-lg-flex align-items-center justify-content-center fixed-top">
          <a class="sidebar-brand brand-logo" href="dashboard"><img src="assets/images/logo.svg" alt="logo" /></a>
          <a class="sidebar-brand brand-logo-mini" href="dashboard"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
        </div>
        <ul class="nav">
         
          <li class="nav-item nav-category">
            <span class="nav-link">Navigation</span>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="dashboard">
              <span class="menu-icon">
                <i class="mdi mdi-view-dashboard"></i>
              </span>
              <span class="menu-title">Dashboard</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="paketler">
              <span class="menu-icon">
                <i class="mdi mdi-apps"></i>
              </span>
              <span class="menu-title">Paketler</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
              <span class="menu-icon">
                <i class="mdi mdi-laptop"></i>
              </span>
              <span class="menu-title">Yatırımlar</span>
              <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
              <ul class="nav flex-column sub-menu">
                <li class="nav-item"> <a class="nav-link" href="deposit">Bekleyen</a></li>
                <li class="nav-item"> <a class="nav-link" href="onayliyatirimlar">Onaylanan</a></li>
                <li class="nav-item"> <a class="nav-link" href="redyatirimlar">Reddedilen</a></li>
              </ul>
            </div>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic1" aria-expanded="false" aria-controls="ui-basic1">
              <span class="menu-icon">
                <i class="mdi mdi-laptop"></i>
              </span>
              <span class="menu-title">Çekim Talepleri</span>
              <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic1">
              <ul class="nav flex-column sub-menu">
                <li class="nav-item"> <a class="nav-link" href="ceks">Bekleyen</a></li>
                <li class="nav-item"> <a class="nav-link" href="cekimler">Onaylanan</a></li>
                <li class="nav-item"> <a class="nav-link" href="redcek">Reddedilen</a></li>
              </ul>
            </div>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="packs">
              <span class="menu-icon">
                <i class="mdi mdi-package-variant-closed"></i>
              </span>
              <span class="menu-title">Paket Alanlar</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="user-ara">
              <span class="menu-icon">
                <i class="mdi mdi-account-search"></i>
              </span>
              <span class="menu-title">Kullanıcı Ara</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="logs">
              <span class="menu-icon">
                <i class="mdi mdi-history"></i>
              </span>
              <span class="menu-title">Logs</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="pay">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Ödeme Yöntemleri</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="hediyekodu">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Gift Kod</span>
            </a>
          </li>
            <li class="nav-item menu-items">
            <a class="nav-link" href="ipban">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">BAN</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="sett">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Ayarlar</span>
            </a>
          </li>
          
        </ul>
      </nav>
      <!-- partial -->
      <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_navbar.html -->
        <nav class="navbar p-0 fixed-top d-flex flex-row">
         
          <div class="navbar-menu-wrapper flex-grow d-flex align-items-stretch">
            <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
              <span class="mdi mdi-menu"></span>
            </button>
        
            <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
              <span class="mdi mdi-format-line-spacing"></span>
            </button>
          </div>
        </nav>
        <!-- partial -->
        
 


            <?php
            // Veritabanı bağlantısı
            $host = "localhost"; // Veritabanı sunucusu
            $kullanici = "xxmi4828_db"; // Veritabanı kullanıcı adı
            $sifre = "xxmi4828_db"; // Veritabanı şifresi
            $veritabani = "xxmi4828_db"; // Veritabanı adı

            $baglanti = new mysqli($host, $kullanici, $sifre, $veritabani);

            // Hata kontrolü
            if ($baglanti->connect_error) {
                die("Veritabanı bağlantısı başarısız: " . $baglanti->connect_error);
            }

            // Kullanıcı sayısını al
            $kullanici_sorgu = "SELECT COUNT(id) as toplam_kullanici FROM users";
            $kullanici_sonuc = $baglanti->query($kullanici_sorgu);
            $kullanici_veri = $kullanici_sonuc->fetch_assoc();
            $toplam_kullanici = $kullanici_veri["toplam_kullanici"];

            // Ödeme miktarını al
            $odeme_sorgu = "SELECT SUM(pay) as toplam_odeme FROM payments WHERE status = 'onay'";
            $odeme_sonuc = $baglanti->query($odeme_sorgu);
            $odeme_veri = $odeme_sonuc->fetch_assoc();
            $toplam_odeme = $odeme_veri["toplam_odeme"];

            // Çekilen miktarı al
            $cekilen_sorgu = "SELECT SUM(amount) as toplam_cekilen FROM withdraw WHERE status = 'onay'";
            $cekilen_sonuc = $baglanti->query($cekilen_sorgu);
            $cekilen_veri = $cekilen_sonuc->fetch_assoc();
            $toplam_cekilen = $cekilen_veri["toplam_cekilen"];

            // Sonuçları ekrana yazdır
           // echo "<p>Toplam Kullanıcı Sayısı: $toplam_kullanici</p>";
          //  echo "<p>Toplam Onaylı Ödeme Miktarı: $toplam_odeme</p>";
          //  echo "<p>Toplam Onaylı Çekilen Miktar: $toplam_cekilen</p>";

            // Veritabanı bağlantısını kapat
            $baglanti->close();
            ?>
 
   <div class="container">
        <h1>Rapor Sayfası</h1>
        <div class="report-box">
            <div class="box">
                <div class="title">Toplam Kullanıcı Sayısı</div>
                <div class="data">
                    <?php
                    // Toplam kullanıcı sayısını ekrana yazdır
                    echo $toplam_kullanici;
                    ?>
                </div>
            </div>
            <div class="box">
                <div class="title">Toplam Onaylı Ödeme Miktarı</div>
                <div class="data" style="color: green;">
                    <?php
                    // Toplam onaylı ödeme miktarını ekrana yazdır
                    echo $toplam_odeme;
                    ?>$
                </div>
            </div>
            <div class="box">
                <div class="title">Toplam Onaylı Çekilen Miktar</div>
                <div class="data" style="color: red;">
                <?php
                    // Toplam onaylı çekilen miktarı ekrana yazdır
                    echo $toplam_cekilen; 
                    ?>$
                </div>
            </div>
        </div>
        
    </div>


    <!-- plugins:js -->
    <script src="assets/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <script src="assets/vendors/chart.js/Chart.min.js"></script>
    <script src="assets/vendors/progressbar.js/progressbar.min.js"></script>
    <script src="assets/vendors/jvectormap/jquery-jvectormap.min.js"></script>
    <script src="assets/vendors/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <script src="assets/vendors/owl-carousel-2/owl.carousel.min.js"></script>
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="assets/js/off-canvas.js"></script>
    <script src="assets/js/hoverable-collapse.js"></script>
    <script src="assets/js/misc.js"></script>
    <script src="assets/js/settings.js"></script>
    <script src="assets/js/todolist.js"></script>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <script src="assets/js/dashboard.js"></script>
    <!-- End custom js for this page -->
  </body>
</html>