<?php
// Oturumu başlat
session_start();

require __DIR__ . '/../app/config.php';

// Oturum süresi (saniye cinsinden) - Örneğin, 24 saat
$sessionTimeout = 86400; // 24 saat = 60 saniye * 60 dakika * 24 saat

// Oturum süresini yeniden ayarla
if (isset($_SESSION['last_activity']) && (time() - $_SESSION['last_activity']) > $sessionTimeout) {
    // Oturum süresi dolduğunda oturumu sonlandır
    session_unset();
    session_destroy();
    header("Location: index.php");
    exit;
}

// Oturum süresini güncelle
$_SESSION['last_activity'] = time();

if ($_SESSION['adminlogin'] == true) {
    // Oturum süresi dolmadan işlem yapabilirsiniz.
} else {
    // Kullanıcı oturum açmamışsa veya oturumu sonlandırıldıysa, index.php'ye yönlendirin.
    header("Location: index.php");
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Corona Admin</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="assets/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="assets/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <!-- End Plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
    <style>
         img{
             width: 100px
         }
           .büyük-resim {
    transition: transform 0.3s ease;
  }

  .büyük-resim:hover {
    transform: scale(3.2);
  }
    </style>
  </head>
  <body>
    <div class="container-scroller">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <div class="sidebar-brand-wrapper d-none d-lg-flex align-items-center justify-content-center fixed-top">
          <a class="sidebar-brand brand-logo" href=""><img src="assets/images/logo.svg" alt="logo" /></a>
          <a class="sidebar-brand brand-logo-mini" href="dashboard"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
        </div>
        <ul class="nav">
          <li class="nav-item profile">
            <div class="profile-desc">
              <div class="profile-pic">
                <div class="count-indicator">
                  <img class="img-xs rounded-circle " src="assets/images/faces/face15.jpg" alt="">
                  <span class="count bg-success"></span>
                </div>
                <div class="profile-name">
                  <h5 class="mb-0 font-weight-normal">Henry Klein</h5>
                  <span>Gold Member</span>
                </div>
              </div>
              <a href="#" id="profile-dropdown" data-toggle="dropdown"><i class="mdi mdi-dots-vertical"></i></a>
              <div class="dropdown-menu dropdown-menu-right sidebar-dropdown preview-list" aria-labelledby="profile-dropdown">
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-settings text-primary"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Account settings</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-onepassword  text-info"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Change Password</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-calendar-today text-success"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">To-do list</p>
                  </div>
                </a>
              </div>
            </div>
          </li>
          <li class="nav-item nav-category">
            <span class="nav-link">Navigation</span>
          </li>
         <?php require 'sidebar.php'; ?>
        </ul>
      </nav>
      <!-- partial -->
      <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_navbar.html -->
        <nav class="navbar p-0 fixed-top d-flex flex-row">
          <div class="navbar-brand-wrapper d-flex d-lg-none align-items-center justify-content-center">
            <a class="navbar-brand brand-logo-mini" href="index.html"><img src="assets/images/logo-mini.svg" alt="logo" /></a>
          </div>
          <div class="navbar-menu-wrapper flex-grow d-flex align-items-stretch">
            <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
              <span class="mdi mdi-menu"></span>
            </button>
           
           
            <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
              <span class="mdi mdi-format-line-spacing"></span>
            </button>
          </div>
        </nav>
        <!-- partial -->
        <div class="main-panel">
          <div class="row ">
              <div class="col-12 grid-margin">
                <div class="card">
                  <div class="card-body">
                    <h4 class="card-title">Reddedilen Deposit Talepleri</h4>
                    <div class="table-responsive">
                      <table class="table table-hover">
                        <thead>
                          <tr>
                           <th>id</th>
                <th style="text-align: center;">Kullanıcı Adı</th>
                <th style="text-align: center;">Miktar</th>
                <th style="text-align: center;">Dekont</th>
                <th style="text-align: center;">Durum</th>
                <th style="text-align: center;">Tarih</th>
                <th style="text-align: center;">Red</th>
                <th style="text-align: center;">Onay</th>
                <th style="text-align: center;">İşlem</th>
                          </tr>
                        </thead>
                        <tbody>
                             <?php  
            $getdb = $spexcon->query("SELECT * FROM payments WHERE status='red' ORDER BY id DESC");

            foreach ($getdb as $key) {
                $id=$key['id'];
                $user=$key['user'];
                $pay=$key['pay'];
                $type=$key['type'];
                $status=$key['status'];
                $tarih=$key['tarih'];
                $dekont=$key['dekont'];

                echo "<tr>
                    <td>$id</td>
                    <td>$user</td>
                    <td>$pay</td>
                    <td>
                    <div id='resimContainer' onclick='resimTiklandi(event)'>
                    <img  src='https://xxmine.com/$dekont' class='büyük-resim' style='cursor: pointer;'></div></td>
                  
                    <td>$status</td>
                    <td>$tarih</td>
                    <td>
                        <form method='POST'>
                            <input type='hidden' name='id' value='$id'>
                            <input type='submit' class='btn btn-danger btn-fw' name='red' value='Reddet'>
                        </form>
                    </td>
                    <td>
                        <form method='POST'>
                            <input type='hidden' name='id' value='$id'>
                            <input type='hidden' name='pay' value='$pay'>
                            <input type='hidden' name='user' value='$user'>
                            <input type='submit' class='btn btn-success btn-fw' name='onay' value='Onayla'>
                        </form>
                    </td>
                    <td>
                        <form method='POST'>
                            <input type='hidden' name='id' value='$id'>
                            <input type='submit' class='btn btn-warning btn-fw' name='islem' value='İşlem'>
                        </form>
                    </td>
                </tr>";
            }

            if ($_POST['red']) {
                $id = htmlspecialchars($_POST['id']);
                $del = $spexcon->query("UPDATE payments set `status`='red' WHERE id='".$id."'");
                if ($del) {
                    echo "<script>alert('Reddedildi');</script>";
                    header("Location:deposit.php");
                }
            }

            if ($_POST['onay']) {
                $id = htmlspecialchars($_POST['id']);
                $pay = htmlspecialchars($_POST['pay']);
                $user = htmlspecialchars($_POST['user']);
                
                $update = $spexcon->query("UPDATE users SET `balance`=balance+'".$pay."' WHERE user='".$user."'");
                $del = $spexcon->query("UPDATE payments set `status`='onay' WHERE id='".$id."'");
                if ($del) {
                    header("Location:deposit.php");
                    echo "<script>alert('Onaylandı');</script>";
                }
            }

            if ($_POST['islem']) {
                $user = htmlspecialchars($_POST['user']);
                $del = $spexcon->query("UPDATE payments set `status`='islem' WHERE id='".$user."'");
                if ($del) {
                    header("Location:deposit.php");
                }
            }
            ?>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <!-- content-wrapper ends -->
          <!-- partial:partials/_footer.html -->
         
          <!-- partial -->
        </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
    <!-- plugins:js -->
    <script src="assets/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="assets/js/off-canvas.js"></script>
    <script src="assets/js/hoverable-collapse.js"></script>
    <script src="assets/js/misc.js"></script>
    <script src="assets/js/settings.js"></script>
    <script src="assets/js/todolist.js"></script>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <!-- End custom js for this page -->
  </body>
</html>