<?php 

session_start();

require __DIR__ . '/../app/config.php';

// Oturum süresi (saniye cinsinden) - Örneğin, 24 saat
$sessionTimeout = 86400; // 24 saat = 60 saniye * 60 dakika * 24 saat

// Oturum süresini yeniden ayarla
if (isset($_SESSION['last_activity']) && (time() - $_SESSION['last_activity']) > $sessionTimeout) {
    // Oturum süresi dolduğunda oturumu sonlandır
    session_unset();
    session_destroy();
    header("Location: index.php");
    exit;
}

// Oturum süresini güncelle
$_SESSION['last_activity'] = time();

if ($_SESSION['adminlogin'] == true) {
    // Oturum süresi dolmadan işlem yapabilirsiniz.
} else {
    // Kullanıcı oturum açmamışsa veya oturumu sonlandırıldıysa, index.php'ye yönlendirin.
    header("Location: index.php");
    exit;
}

?>
<!DOCTYPE html>
<html lang="zxx">
<head>

<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes" />
<title>Admin</title>
<link rel="icon" href="img/logo.png" type="image/png">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
<style>
         /* Genişlik ayarları */
         @media (max-width: 767px) {
         .table-responsive {
             display: block;
             width: 100%;
             overflow-x: auto;
         }
         table {
             width: 100%;
         }
         }
         /* Ortalama işlem */
         .container {
         margin: 0 auto;
         }
         /* Özelleştirilmiş butonlar */
         .red-button {
         background-color: #FF4136;
         color: #fff;
         border-radius: 5px;
         border: none;
         cursor: pointer;
         font-weight: bold;
         padding: 10px 20px;
         margin-right: 10px;
         }
         .red-button:hover {
         background-color: #E4002B;
         }
         .green-button {
         background-color: #2ECC40;
         color: #fff;
         border-radius: 5px;
         border: none;
         cursor: pointer;
         font-weight: bold;
         padding: 10px 20px;
         margin-right: 10px;
         }
         .green-button:hover {
         background-color: #22A12E;
         }
         .orange-button {
         background-color: #FF851B;
         color: #fff;
         border-radius: 5px;
         border: none;
         cursor: pointer;
         font-weight: bold;
         padding: 10px 20px;
         margin-right: 10px;
         }
         .orange-button:hover {
         background-color: #D35F0C;
         }
         .button {
         background-color: green;
         color: #fff;
         border-radius: 5px;
         border: none;
         cursor: pointer;
         font-weight: bold;
         padding: 10px 20px;
         margin-right: 10px;
         }
         .re-button {
         background-color: red;
         color: #fff;
         border-radius: 5px;
         border: none;
         cursor: pointer;
         font-weight: bold;
         padding: 10px 20px;
         margin-right: 10px;
         }
         img{
             width: 100px
         }
           .büyük-resim {
    transition: transform 0.3s ease;
  }

  .büyük-resim:hover {
    transform: scale(3.2);
  }
      </style>
</head>
<body style="background-color:#eeecf5;" class="crm_body_bg">
<?php require 'topbar.php'; ?>



<br><br>
<div class="container">
 <div class="row my-3 justify-content-center">
    <div class="col-12 col-lg-10">
      <h2 class="text-center">Tüm Yatırma Talepleri</h2><br>
       <center>   <a href="onayliyatirimlar.php" class="button">Onaylı Talepler</a>
   <a href="redyatirimlar.php" class="re-button">Redd Talepler</a></center>  
      <div class="table-responsive"style="
    height: 700px;
">
    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">id</th>
                <th scope="col">Kullanıcı Adı</th>
                <th scope="col">Miktar</th>
                <th scope="col">Dekont</th>
                <th scope="col">Durum</th>
                <th scope="col">Tarih</th>
                <th scope="col">Red</th>
                <th scope="col">Onay</th>
                <th scope="col">İşlem</th>
            </tr>
        </thead>
        <tbody>
            <?php  
            $getdb = $spexcon->query("SELECT * FROM payments WHERE status='islem' ORDER BY id DESC");

            foreach ($getdb as $key) {
                $id=$key['id'];
                $user=$key['user'];
                $pay=$key['pay'];
                $type=$key['type'];
                $status=$key['status'];
                $tarih=$key['tarih'];
                $dekont=$key['dekont'];

                echo "<tr>
                    <td>$id</td>
                    <td>$user</td>
                    <td>$pay</td>
                    <td>
                    <div id='resimContainer' onclick='resimTiklandi(event)'>
                    <img  src='https://bitrader.co/$dekont' class='büyük-resim' style='cursor: pointer;'></div></td>
                  
                    <td>$status</td>
                    <td>$tarih</td>
                    <td>
                        <form method='POST'>
                            <input type='hidden' name='id' value='$id'>
                            <input type='submit' class='red-button' name='red' value='Reddet'>
                        </form>
                    </td>
                    <td>
                        <form method='POST'>
                            <input type='hidden' name='id' value='$id'>
                            <input type='hidden' name='pay' value='$pay'>
                            <input type='hidden' name='user' value='$user'>
                            <input type='submit' class='green-button' name='onay' value='Onayla'>
                        </form>
                    </td>
                    <td>
                        <form method='POST'>
                            <input type='hidden' name='id' value='$id'>
                            <input type='submit' class='orange-button' name='islem' value='İşlem'>
                        </form>
                    </td>
                </tr>";
            }

            if ($_POST['red']) {
                $id = htmlspecialchars($_POST['id']);
                $del = $spexcon->query("UPDATE payments set `status`='red' WHERE id='".$id."'");
                if ($del) {
                    echo "<script>alert('Reddedildi');</script>";
                    header("Location:yats.php");
                }
            }

            if ($_POST['onay']) {
                $id = htmlspecialchars($_POST['id']);
                $pay = htmlspecialchars($_POST['pay']);
                $user = htmlspecialchars($_POST['user']);
                
                $update = $spexcon->query("UPDATE users SET `balance`=balance+'".$pay."' WHERE user='".$user."'");
                $del = $spexcon->query("UPDATE payments set `status`='onay' WHERE id='".$id."'");
                if ($del) {
                    header("Location:yats.php");
                    echo "<script>alert('Onaylandı');</script>";
                }
            }

            if ($_POST['islem']) {
                $user = htmlspecialchars($_POST['user']);
                $del = $spexcon->query("UPDATE payments set `status`='islem' WHERE id='".$user."'");
                if ($del) {
                    header("Location:yats.php");
                }
            }
            ?>
        </tbody>
    </table>
</div>


</div>
</div>
<br><br>
</div>
<div id="back-top" style="display: none;">
<a title="Go to Top" href="#">
<i class="ti-angle-up"></i>
</a>
</div>
</body>
</html>
